## bikeshed 1.11

=== Makefile ===
PREFIX ?= /usr
VERSION = 1.5

SCRIPTS = \
	apply-patch \
	col1 \
	bch \
	bzrp \
	dman \
	pbput \
	release \
	release-build \
	what-provides \
	wifi-status \
	$(NULL)

LINKS = \
	col2 \
	col3 \
	col4 \
	col5 \
	col6 \
	col7 \
	col8 \
	col9 \
	NF \
	pbget \
	pbputs \
	$(NULL)

TARGET_col2 = col1
TARGET_col3 = col1
TARGET_col4 = col1
TARGET_col5 = col1
TARGET_col6 = col1
TARGET_col7 = col1
TARGET_col8 = col1
TARGET_col9 = col1
TARGET_NF = col1
TARGET_pbget = pbput
TARGET_pbputs = pbput

EXTRA_DIST = \
	system-search \
	img/bikeshed.odp \
	img/bikeshed.png \
	img/bikeshed_14.png \
	img/bikeshed_64.png \
	img/bikeshed_192.png \
	$(NULL)

all:

clean:

install:
	install -d $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/share/man/man1
	$(foreach script,$(SCRIPTS),install $(script) $(DESTDIR)$(PREFIX)/bin/$(script) &&) true
	$(foreach script,$(SCRIPTS),install $(script).1 $(DESTDIR)$(PREFIX)/share/man/man1/$(script).1 &&) true
	$(foreach link,$(LINKS),ln -s $(TARGET_$(link)) $(DESTDIR)$(PREFIX)/bin/$(link) &&) true
	$(foreach link,$(LINKS),ln -s $(TARGET_$(link)).1.gz $(DESTDIR)$(PREFIX)/share/man/man1/$(link).1.gz &&) true

dist: bikeshed-$(VERSION).tar.gz

%.tar.gz: $(SCRIPTS) $(SCRIPTS:%=%.1) $(EXTRA_DIST) Makefile
	tar -c --exclude-vcs --transform="s@^@$*/@" $^ | gzip -cn9 > $@

%.tar.bzip2:
	tar -c --exclude-vcs --transform="s@^@$*/@" $^ | bzip2 -cz9 > $@

.PHONY: all clean dist install

=== debian/changelog ===
bikeshed (1.11-0ubuntu1) natty; urgency=low

  * apply-patch, apply-patch.1:
    - support URLs
    - use patch -i rather than stdin

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 25 Mar 2011 16:30:21 -0500

bikeshed (1.10-0ubuntu1) natty; urgency=low

  * Makefile: brown paper bag, forgot to add apply-patch to the Makefile

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 25 Mar 2011 16:30:17 -0500

bikeshed (1.9-0ubuntu1) natty; urgency=low

  * what-provides: exit non-zero, if no match found
  * apply-patch, apply-patch.1: add a utility for applying patches
    more cleanly
  * bch.1: fix formatting

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 23 Mar 2011 11:56:53 -0500

bikeshed (1.8-0ubuntu1) natty; urgency=low

  * bch.1, bzrp.1, dman.1, pbput.1, release.1, release-build.1, wifi-
    status.1: fix GPL version in manpage documentation license
  * bch.1, bzrp.1, col1.1, dman.1, pbput.1, release.1, release-build.1,
    run-one.1, what-provides.1, wifi-status.1: add URL to GPL license
  * Makefile, run-one, run-one.1: moved to run-one package/project
  * what-provides: if file not in patch, search the system for it

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 27 Jan 2011 14:54:53 -0600

bikeshed (1.7-0ubuntu1) natty; urgency=low

  * COPYING: add GPL license, LP: #663292
  * Makefile, run-one, run-one.1: add the run-one utility
  * run-one, run-one.1: use flock, mention in documentation
  * debian/control: util-linux needed for flock
  * Makefile, what-provides.1, whatprovides => what-provides:
    provide a what-provides utility

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 11 Jan 2011 10:24:47 -0600

bikeshed (1.6-0ubuntu1) natty; urgency=low

  [ Nobuto MURATA ]
  * dman: set users' locale when gettting manpages, LP: #677200
  * bzrp: avoid passing unsupported options to pager other than less,
    LP: #677049

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 19 Nov 2010 22:20:23 -0600

bikeshed (1.5-0ubuntu1) natty; urgency=low

  [ Benjamin Drung ]
  * Add a Makefile and simplify the packaging.
  * debian/control:
    - Remove unused ${shlibs:Depends} from Depends.
    - Remove dependency on essential coreutils.
  * Switch to dpkg-source 3.0 (quilt) format.
  * 1.1: Fix hyphen-used-as-minus-sign (thanks to lintian).

  [ Dustin Kirkland ]
  * 1.1, debian/links: add NF documentation in the manpage
  * pbput: drop umask code, unnecessary
  * wifi-status: track kernel messages about wireless too
  * 1.1 => col1.1, 1 => col1, Makefile: *much* to my chagrin,
    some users have objected to the use of the 1-character names
    of the 1..9 scripts/links;  I'm capitulating and renaming them
    to col1..col9
  * release-build: clean up bzr garbage
  * wifi-status: fix license, quote text
  * Makefile, q => system-search: rename the tool

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 09 Nov 2010 17:45:53 -0600

bikeshed (1.4-0ubuntu1) natty; urgency=low

  [ Dustin Kirkland ]
  * bzrp: fully qualify bzr, so that you can alias bzr=bzrp if you like
  * pbput, pbputs, debian/links: add support for secure pbputs/pbget
  * debian/links: fix broken symlinks
  * pbput.1: fix synopsis, add invocations

  [ Kees Cook ]
  * debian/links: add "NF" target.
  * 1: rearrange execution to allow multiple file argments, FS of ", etc.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 25 Oct 2010 14:46:58 -0400

bikeshed (1.3-0ubuntu1) natty; urgency=low

  * bzrp: handle args with spaces in them (thanks Marius Gedminas)
  * dchb.1 => bch.1, dchb => bch, debian/install:
    - rename dchb -> bch, update code/docs and install file

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 21 Oct 2010 11:03:19 -0500

bikeshed (1.2-0ubuntu1) natty; urgency=low

  * bzrp: add a more sensible set of paging options for vi-compatible
    pagers; still a to-do to support other pagers
  * bzrdch.1', =>, 'dchb.1, bzrdch', =>, 'dchb, debian/install: rename
    bzrdch -> dchb;  the "dchb" string rolls off the fingertips a bit
    more smoothly;  really, this tool is an extension of dch;  reflect
    that in the name

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 18 Oct 2010 23:40:24 -0700

bikeshed (1.1-0ubuntu1) natty; urgency=low

  * bzrdiff.1', =>, 'bzrp.1, bzrdiff', =>, 'bzrp, bzrlog, bzrlog.1,
    debian/install, debian/manpages: eliminate the bzrlog, bzrdiff
    utilities, instead, create a simpler, more generic 'bzrp' utility

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 18 Oct 2010 21:53:24 -0700

bikeshed (1.0-0ubuntu1) natty; urgency=low

  * debian/*: initial packaging
  * 1, debian/install, debian/links: add the 1..9 awk hacks
  * debian/install, debian/manpages, dman, dman.1: add the dman utility,
    for remote retrieval of manpages
  * debian/install, debian/manpages, wifi-status, wifi-status.1: add the
    wifi-status utility, for monitoring a wifi connection
  * bzrdiff, bzrdiff.1, bzrlog, bzrlog.1, debian/install, debian/manpages:
    add a couple of useful bzr hacks, that pipe output to a sensible pager
  * bikeshed.odp, bikeshed.png, bikeshed_14.png, bikeshed_192.png,
    bikeshed_64.png: add a simple, colorful icon
  * debian/control, debian/install, debian/links, pbput, pbput.1: add a
    utility for uploading and downloading arbitrary files to/from a pastebin
  * bzrdch, bzrdch.1, debian/control, debian/install, debian/manpages: add
    a utility that conveniently edits debian/changelog in a bzr tree,
    seeding the entry with the current modified files
  * debian/control, debian/install, debian/manpages, release, release.1,
    release-build, release-build.1: add a set of handy scripts for upstream
    release management within Ubuntu, bzr, and Launchpad

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 15 Oct 2010 09:33:46 -0700

=== debian/control ===
Source: bikeshed
Section: misc
Priority: extra
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.1
Homepage: http://launchpad.net/bikeshed

Package: bikeshed
Architecture: all
Depends: ${misc:Depends}
Recommends: bzr,
            bzr-builddeb,
            devscripts,
            dput,
            gnupg,
            lzma,
            pastebinit,
            sensible-utils,
	    util-linux
Description: random useful tools that do not yet have a permanent home
 Bikeshed is a collection of random but useful tools and utilities that
 either don't quite fit anywhere else, or have not yet been accepted
 by a more appropriate project.
 .
 Think of this package as an "orphanage", where tools live until they
 are adopted by loving, accepting parents.

## bikeshed 1.18

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PREFIX ?= /usr
+PREFIX = /usr
 VERSION = 1.5
 
 SCRIPTS = \
@@ -11,6 +11,8 @@
 	release \
 	release-build \
 	what-provides \
+	what-repo \
+	what-source \
 	wifi-status \
 	$(NULL)
 
@@ -59,6 +61,7 @@
 	$(foreach script,$(SCRIPTS),install $(script).1 $(DESTDIR)$(PREFIX)/share/man/man1/$(script).1 &&) true
 	$(foreach link,$(LINKS),ln -s $(TARGET_$(link)) $(DESTDIR)$(PREFIX)/bin/$(link) &&) true
 	$(foreach link,$(LINKS),ln -s $(TARGET_$(link)).1.gz $(DESTDIR)$(PREFIX)/share/man/man1/$(link).1.gz &&) true
+	ln -s release-build $(DESTDIR)$(PREFIX)/bin/release-test
 
 dist: bikeshed-$(VERSION).tar.gz

## bikeshed 1.22

=== Makefile ===
--- 
+++ 
@@ -4,15 +4,12 @@
 SCRIPTS = \
 	apply-patch \
 	col1 \
+	cloud-sandbox \
 	bch \
 	bzrp \
 	dman \
-	pbput \
 	release \
 	release-build \
-	what-provides \
-	what-repo \
-	what-source \
 	wifi-status \
 	$(NULL)
 
@@ -26,8 +23,6 @@
 	col8 \
 	col9 \
 	NF \
-	pbget \
-	pbputs \
 	$(NULL)
 
 TARGET_col2 = col1
@@ -39,8 +34,6 @@
 TARGET_col8 = col1
 TARGET_col9 = col1
 TARGET_NF = col1
-TARGET_pbget = pbput
-TARGET_pbputs = pbput
 
 EXTRA_DIST = \
 	system-search \

## bikeshed 1.26

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	bch \
 	bzrp \
 	dman \
+	purge-old-kernels \
 	release \
 	release-build \
 	wifi-status \

## bikeshed 1.42

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,15 @@
 PREFIX = /usr
-VERSION = 1.5
+VERSION = 1.29
 
 SCRIPTS = \
 	apply-patch \
 	col1 \
 	cloud-sandbox \
+	ctail \
 	bch \
 	bzrp \
 	dman \
+	multi-push \
 	purge-old-kernels \
 	release \
 	release-build \
@@ -56,6 +58,7 @@
 	$(foreach link,$(LINKS),ln -s $(TARGET_$(link)) $(DESTDIR)$(PREFIX)/bin/$(link) &&) true
 	$(foreach link,$(LINKS),ln -s $(TARGET_$(link)).1.gz $(DESTDIR)$(PREFIX)/share/man/man1/$(link).1.gz &&) true
 	ln -s release-build $(DESTDIR)$(PREFIX)/bin/release-test
+	ln -s multi-push $(DESTDIR)$(PREFIX)/bin/multi-push-init
 
 dist: bikeshed-$(VERSION).tar.gz

## bikeshed 1.53

=== Makefile ===
PREFIX = /usr
VERSION = 1.29

SCRIPTS = \
	apply-patch \
	cloud-sandbox \
	bch \
	bzrp \
	dman \
	multi-push \
	name-search \
	purge-old-kernels \
	release \
	release-build \
        vigpg \
	$(NULL)

EXTRA_DIST = \
	system-search \
	img/bikeshed.odp \
	img/bikeshed.png \
	img/bikeshed_14.png \
	img/bikeshed_64.png \
	img/bikeshed_192.png \
	$(NULL)

all:

clean:

install:
	install -d $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/share/man/man1
	$(foreach script,$(SCRIPTS),install $(script) $(DESTDIR)$(PREFIX)/bin/$(script) &&) true
	$(foreach script,$(SCRIPTS),install $(script).1 $(DESTDIR)$(PREFIX)/share/man/man1/$(script).1 &&) true
	ln -s release-build $(DESTDIR)$(PREFIX)/bin/release-test
	ln -s multi-push $(DESTDIR)$(PREFIX)/bin/multi-push-init

dist: bikeshed-$(VERSION).tar.gz

%.tar.gz: $(SCRIPTS) $(SCRIPTS:%=%.1) $(EXTRA_DIST) Makefile
	tar -c --exclude-vcs --transform="s@^@$*/@" $^ | gzip -cn9 > $@

%.tar.bzip2:
	tar -c --exclude-vcs --transform="s@^@$*/@" $^ | bzip2 -cz9 > $@

.PHONY: all clean dist install

## bikeshed 1.73

=== Makefile ===
--- 
+++ 
@@ -9,10 +9,8 @@
 	dman \
 	multi-push \
 	name-search \
-	purge-old-kernels \
 	release \
 	release-build \
-        vigpg \
 	$(NULL)
 
 EXTRA_DIST = \
